org.apache.lucene.index

## Class AssertingAtomicReader.AssertingBinaryDocValues

- java.lang.Object
- - org.apache.lucene.index.BinaryDocValues
  - - org.apache.lucene.index.AssertingAtomicReader.AssertingBinaryDocValues

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingBinaryDocValues
    extends BinaryDocValues

Wraps a BinaryDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.BinaryDocValues

`EMPTY, MISSING`

### Constructor Summary

Constructors
Constructor and Description
`AssertingAtomicReader.AssertingBinaryDocValues(BinaryDocValues in, int maxDoc)`

### Method Summary

Methods
`void` `get(int docID, BytesRef result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingAtomicReader.AssertingBinaryDocValues

    public AssertingAtomicReader.AssertingBinaryDocValues(BinaryDocValues in,
                                                  int maxDoc)

### Method Detail

#### get

    public void get(int docID,
           BytesRef result)

Specified by:
  `get` in class `BinaryDocValues`